org.apache.hadoop.mapreduce.lib.partition

## Class HashPartitioner<K,V>

- java.lang.Object
- - org.apache.hadoop.mapreduce.Partitioner<K,V>
  - - org.apache.hadoop.mapreduce.lib.partition.HashPartitioner<K,V>

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class HashPartitioner<K,V>
      extends Partitioner<K,V>

  Partition keys by their `Object.hashCode()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashPartitioner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPartition(K key, V value, int numReduceTasks)` Use `Object.hashCode()` to partition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HashPartitioner

          public HashPartitioner()

  - ### Method Detail

    - #### getPartition

          public int getPartition(K key,
                                  V value,
                                  int numReduceTasks)

      Use `Object.hashCode()` to partition.
      Specified by:
        `getPartition` in class `Partitioner<K,V>`
      Parameters:
        `key` - the key to be partioned.
        `value` - the entry value.
        `numReduceTasks` - the total number of partitions.
      Returns:
        the partition number for the `key`.

Copyright © 2022 Apache Software Foundation. All rights reserved.